import WebTorrent from 'webtorrent';
import { TorrentAdapter, TorrentAdapterTorrent } from '.';
export declare class WebtorrentAdapter extends TorrentAdapter {
    protected client: WebTorrent.Instance;
    constructor();
    add(magnet: string, path: string): Promise<TorrentAdapterTorrent>;
    destroy(): Promise<void>;
    protected createTorrentFromClient(torrent: WebTorrent.Torrent): TorrentAdapterTorrent;
}
